<?php
require '../conn/conn.php';
require '../conn/function.php';
require 'admin_check.php';
$page=$_GET["page"];
$action=$_GET["action"];
$K_id=intval($_GET["K_id"]);

if($page==""){
  $page=1;
}

if($K_id!=""){
  $aa="edit&K_id=".$K_id;
  $sql="select * from sl_key where K_id=".$K_id;
  $result = mysqli_query($conn, $sql);
  $row = mysqli_fetch_assoc($result);
  if (mysqli_num_rows($result) > 0) {
    $K_key=$row["K_key"];
    $K_long=$row["K_long"];
    $K_time=$row["K_time"];
  }
  $title="编辑";
}else{
  $K_long=1;
  $aa="add";
  $title="新增";
  $K_time=date('Y-m-d H:i:s');
}


if($action=="add"){

  $K_key=$_POST["K_key"];
  $K_time=$_POST["K_time"];
  $K_long=intval($_POST["K_long"]);

  if($K_key!=""){
    mysqli_query($conn,"insert into sl_key(K_key,K_long,K_time) values('$K_key',$K_long,'$K_time')");
    $K_id=getrs("select * from sl_key where K_time='$K_time'","K_id");
    die("{\"msg\":\"success\",\"id\":\"".$K_id."\"}");
  }else{
    die("{\"msg\":\"请填全信息\"}");
  }
}

if($action=="edit"){
  $K_key=$_POST["K_key"];
  $K_time=$_POST["K_time"];
  $K_long=intval($_POST["K_long"]);
  if($K_key!=""){
  mysqli_query($conn, "update sl_key set
    K_key='$K_key',
    K_time='$K_time',
    K_long=$K_long
    where K_id=".$K_id);
    die("{\"msg\":\"success\",\"id\":\"".$K_id."\"}");
  }else{
    die("{\"msg\":\"请填全信息\"}");
  }
}

if($action=="delall"){
  $id=$_POST["id"];
  if(count($id)>0) {
    $shu=0 ;
    for ($i=0 ;$i<count($id);$i++ ) {
      mysqli_query($conn,"delete from sl_key where K_id=".intval($id[$i]));
      $shu=$shu+1 ;
      $ids=$ids.$id[$i].",";
    }
    $ids= substr($ids,0,strlen($ids)-1);
    if($shu>0) {
      die("{\"msg\":\"success\",\"ids\":\"".$ids."\"}");
    } else {
      die("{\"msg\":\"删除失败\"}");
    }
  } else {
    die("{\"msg\":\"未选择要删除的内容\"}");
  }
}

$sql="select count(K_id) as K_count from sl_key";
$result = mysqli_query($conn, $sql);
$row = mysqli_fetch_assoc($result);
$K_counts=$row["K_count"];
?>
<!DOCTYPE html>
<html lang="zh">
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" />
<title>KEY管理 - 后台管理</title>
<link rel="icon" href="../media/<?php echo $C_ico?>" type="image/ico">
<link href="../css/bootstrap.min.css" rel="stylesheet">
<link href="../css/materialdesignicons.min.css" rel="stylesheet">
<link href="../css/style.min.css" rel="stylesheet">
<script type="text/javascript" src="../upload/upload.js"></script>
<link rel="stylesheet" href="../js/jconfirm/jquery-confirm.min.css">
<style type="text/css">

.showpic{height: 100px;border: solid 1px #DDDDDD;padding: 5px;}
.showpicx{width: 100%;max-width: 500px}
.list-group a{text-decoration:none}
.part{display:inline-block;width:30%;overflow:hidden;text-overflow:ellipsis;white-space: nowrap;}
.pagination{margin: 0px;}
</style>
</head>
  
<body>
<div class="lyear-layout-web">
  <div class="lyear-layout-container">
  <?php require 'nav.php';?>
    <main class="lyear-layout-content">
      
      <div class="container-fluid">
        
        <div class="row">
                
                <div class="col-lg-5">
                  <form id="list">
                  <div class="card card-primary">

                    <div class="card-header">
                      <h4>KEY列表</h4>
                    </div>
                        <ul class="list-group">
                          <li class="list-group-item " style="background: #f7f7f7"><div class="part">KEY</div><div class="part">开通时间</div><div class="part">有效时长</div></li>
                          <?php 
                            $sql="select * from sl_key order by K_id desc limit ".(($page-1)*10).",10";
                                $result = mysqli_query($conn, $sql);
                                if (mysqli_num_rows($result) > 0) {
                                while($row = mysqli_fetch_assoc($result)) {
                                  if($row["K_id"]==$K_id){
                                    $active="active";
                                  }else{
                                    $active="";
                                  }


                                  echo "<a id=\"".$row["K_id"]."\" href=\"?K_id=".$row["K_id"]."&page=$page\" class=\"list-group-item ".$active."\">
                                  <div class=\"part\"><input type=\"checkbox\" name=\"id[]\" value=\"".$row["K_id"]."\"> ".$row["K_key"]."</div> 
                                  <div class=\"part\">".$row["K_time"]."</div>
                                  <div class=\"part\">".$row["K_long"]."个月</div>
                                  
                                  </a>";
                                }
                              }
                          ?>
                          
                        </ul>
                  </div>
                  <label><input type="checkbox" id="selectAll" name="selectAll"> 全选</label>
                  <button class="btn btn-sm btn-danger" type="button" onClick="delall()"><i class="fa fa-times-circle" ></i> 删除所选</button>
                  <a href="key.php" class="btn btn-sm btn-primary"><i class="fa fa-plus-circle"></i> 新增KEY</a>
                  <ul class="pagination" id="pagination" style="float: right;"></ul>
                  <input type="hidden" id="PageCount" runat="server" />
        <input type="hidden" id="PageSize" runat="server" value="10" />
        <input type="hidden" id="countindex" runat="server" value="10"/>
        <!--设置最多显示的页码数 可以手动设置 默认为7-->
        <input type="hidden" id="visiblePages" runat="server" value="7" />
                </form>
                </div>

                
                <div class="col-lg-7">
                  <div class="card card-primary">
                    <div class="card-header ">
                      <h4>功能说明</h4>
                    </div>

                    <div class="card-body">
                      <p>1.为了防止短域名接口被滥用，每位用户分配一个KEY作为接口调用凭据</p>
                      <p>2.KEY可设置有效时长，可以向申请者收取合理费用</p>
                    </div>
                  </div>
                  <form id="form">
                  <div class="card card-primary">
                    <div class="card-header ">
                      <h4><?php echo $title?>KEY</h4>
                    </div>
                    <div class="card-body">

                        <div class="form-group row">
                          <label class="col-md-3 col-form-label" >KEY值</label>
                          <div class="col-md-9">
                            <div class="input-group">
                    <input type="text"  name="K_key" class="form-control" id="key" value="<?php echo $K_key?>">
                    <span class="input-group-btn">
                        <button class="btn btn-info" type="button" onclick="creat()">生成</button>
                    </span>
                </div>

                            
                          </div>
                        </div>

                        <div class="form-group row">
                          <label class="col-md-3 col-form-label" >有效时长</label>
                          <div class="col-md-9">
                            <div class="input-group">
            <input type="text"  name="K_long" class="form-control" value="<?php echo $K_long?>" placeholder="数字越小，排序越靠前">
            <span class="input-group-addon">月</span>
        </div>

                            
                          </div>
                        </div>


                          <div class="form-group row">
                            <label class="col-md-3 col-form-label" >开通时间</label>
                            <div class="col-md-9">
                              <input type="text"  name="K_time" class="form-control" value="<?php echo $K_time?>">
                            </div>
                          </div>

                        <div class="form-group row">
                          <label class="col-md-3 col-form-label" ></label>
                          <div class="col-md-9">
                            <button class="btn btn-info" type="button" onClick="save()"><?php echo $title?></button>
                          </div>
                        </div>
                    </div>
                  </div>
                  </form>
                </div>
              </div>
        
      </div>
      
    </main>
    <!--End 页面主要内容-->
  </div>
</div>

<script type="text/javascript" src="../js/jquery.min.js"></script>
<script type="text/javascript" src="../js/bootstrap.min.js"></script>
<script type="text/javascript" src="../js/perfect-scrollbar.min.js"></script>
<script type="text/javascript" src="../js/main.min.js"></script>

<script src="../js/bootstrap-notify.min.js"></script>
<script type="text/javascript" src="../js/lightyear.js"></script>
<script src="../js/jqPaginator.min.js" type="text/javascript"></script>
<script src="../js/help.js" type="text/javascript"></script>
<script src="../js/jconfirm/jquery-confirm.min.js"></script>
<script type="text/javascript">

  function loadData(num) {
            $("#PageCount").val("<?php echo $K_counts?>");
        }
function loadpage(id) {
    var myPageCount = parseInt($("#PageCount").val());
    var myPageSize = parseInt($("#PageSize").val());
    var countindex = myPageCount % myPageSize > 0 ? (myPageCount / myPageSize) + 1 : (myPageCount / myPageSize);
    $("#countindex").val(countindex);

    $.jqPaginator('#pagination', {
        totalPages: parseInt($("#countindex").val()),
        visiblePages: parseInt($("#visiblePages").val()),
        currentPage: id,
        first: '<li class="first page-item"><a href="javascript:;" class="page-link">|<</a></li>',
        prev: '<li class="prev page-item"><a href="javascript:;" class="page-link"><i class="arrow arrow2"></i><</a></li>',
        next: '<li class="next page-item"><a href="javascript:;" class="page-link">><i class="arrow arrow3"></i></a></li>',
        last: '<li class="last page-item"><a href="javascript:;" class="page-link">>|</a></li>',
        page: '<li class="page page-item"><a href="javascript:;" class="page-link">{{page}}</a></li>',
        onPageChange: function (num, type) {
            if (type == "change") {
                window.location="?page="+num;
            }
        }
    });
}
$(function () {
    loadData(<?php echo $page?>);
    loadpage(<?php echo $page?>);

});

    function save(){
      lightyear.loading('show');
        $.ajax({
                url:'?action=<?php echo $aa?>',
                type:'post',
                data:$("#form").serialize(),
                success:function (data) {
                  data=JSON.parse(data);
                  lightyear.loading('hide');
                  if(data.msg=="success"){
                    lightyear.notify('保存成功', 'success', 100);
                    setTimeout("window.location.href='?K_id="+data.id+"'", 1000 )
                  }else{
                      lightyear.notify(data.msg, 'danger', 100);
                  }
                }
              });
      }

      function delall() {

    $.alert({
        title: '确认删除',
        content: '确认删除？',
    buttons: {
      confirm: {
        text: '确认',
        btnClass: 'btn-primary',
        action: function(){
          $.ajax({
            url: '?action=delall',
            type: 'post',
            data: $("#list").serialize(),
            success: function(data) {
                data = JSON.parse(data);
                if (data.msg == "success") {
                  lightyear.notify('删除成功', 'success', 100);
                    id = data.ids.split(",");
                    for (var i = 0; i < id.length; i++) {
                        $("#" + id[i]).hide();
                    };
                } else {
                  lightyear.notify(data.msg, 'danger', 100);

                }
            }
        });
        }
      },
      cancel: {
        text: '取消',
        action: function () {

        }
      }
    }
    });

}

$('input[name="selectAll"]').on("click",function(){
        if($(this).is(':checked')){
            $('input[name="id[]"]').each(function(){
                $(this).prop("checked",true);
            });
        }else{
            $('input[name="id[]"]').each(function(){
                $(this).prop("checked",false);
            });
        }
    });
  var path=window.location.pathname;
  $("a").each(function(){
    if(path.indexOf($(this).attr("href"))!=-1){
      console.log($(this).attr("href"));
      $(this).parent("li").addClass("active");
      $(this).parent("li").parent("ul").parent("li").addClass("open active");
    }
  });

function creat(){
   $("#key").val(randomWord(false,32));
}

function randomWord(randomFlag, min, max){
    var str = "",
        range = min,
        arr = ['0', '1', '2', '3', '4', '5', '6', '7', '8', '9', 'a', 'b', 'c', 'd', 'e', 'f', 'g', 'h', 'i', 'j', 'k', 'l', 'm', 'n', 'o', 'p', 'q', 'r', 's', 't', 'u', 'v', 'w', 'x', 'y', 'z', 'A', 'B', 'C', 'D', 'E', 'F', 'G', 'H', 'I', 'J', 'K', 'L', 'M', 'N', 'O', 'P', 'Q', 'R', 'S', 'T', 'U', 'V', 'W', 'X', 'Y', 'Z'];
 
    // 随机产生
    if(randomFlag){
        range = Math.round(Math.random() * (max-min)) + min;
    }
    for(var i=0; i<range; i++){
        pos = Math.round(Math.random() * (arr.length-1));
        str += arr[pos];
    }
    return str;
}
</script>
</body>
</html>